summaryrefslogtreecommitdiffstats
path: root/network/ApacheDirectoryStudio
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-13 00:59:53 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:53 +0200
commitc3101689c7f99e9d652aefd4068e23428a17366c (patch)
treed182d905fd04ea0b20d747b20036bcdf3deda1f1 /network/ApacheDirectoryStudio
parentb16781f5569a63e2525a882aef1f068eae38d9c9 (diff)
downloadslackbuilds-c3101689c7f99e9d652aefd4068e23428a17366c.tar.gz
slackbuilds-c3101689c7f99e9d652aefd4068e23428a17366c.tar.xz
network/ApacheDirectoryStudio: Added to 13.0 repository
Diffstat (limited to 'network/ApacheDirectoryStudio')
-rw-r--r--network/ApacheDirectoryStudio/ApacheDirectoryStudio.SlackBuild92
-rw-r--r--network/ApacheDirectoryStudio/ApacheDirectoryStudio.info10
-rw-r--r--network/ApacheDirectoryStudio/README5
-rw-r--r--network/ApacheDirectoryStudio/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/network/ApacheDirectoryStudio/ApacheDirectoryStudio.SlackBuild b/network/ApacheDirectoryStudio/ApacheDirectoryStudio.SlackBuild
new file mode 100644
index 0000000000..b73c1e3583
--- /dev/null
+++ b/network/ApacheDirectoryStudio/ApacheDirectoryStudio.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for ApacheDirectoryStudio
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+
+PRGNAM=ApacheDirectoryStudio
+VERSION=${VERSION:-1.4.0.v20090407}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86_64"
+else
+ SRCARCH="x86"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-linux-$SRCARCH-$VERSION
+tar xvf $CWD/$PRGNAM-linux-$SRCARCH-$VERSION.tar.gz
+cd $PRGNAM-linux-$SRCARCH-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+
+cd /usr/lib${LIBDIRSUFFIX}/$PRGNAM/
+./$PRGNAM
+
+EOF
+chmod +x $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/${PRGNAM}.desktop << EOF
+[Desktop Entry]
+Encoding=UTF-8
+Exec=$PRGNAM
+Icon=/usr/share/pixmaps/$PRGNAM.xpm
+Type=Application
+Categories=Application;Network;LDAP
+Name=$PRGNAM
+GenericName=LDAP Browser
+X-KDE-StartupNotify=true
+EOF
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+cp -a \
+ $PRGNAM configuration features plugins \
+ $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a $PRGNAM.xpm $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.txt NOTICE.txt Release*txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/network/ApacheDirectoryStudio/ApacheDirectoryStudio.info b/network/ApacheDirectoryStudio/ApacheDirectoryStudio.info
new file mode 100644
index 0000000000..8a8b1823a9
--- /dev/null
+++ b/network/ApacheDirectoryStudio/ApacheDirectoryStudio.info
@@ -0,0 +1,10 @@
+PRGNAM="ApacheDirectoryStudio"
+VERSION="1.4.0.v20090407"
+HOMEPAGE="http://directory.apache.org/studio/"
+DOWNLOAD="http://apache.imghat.com/directory/studio/stable/1.4.0.v20090407/ApacheDirectoryStudio-linux-x86-1.4.0.v20090407.tar.gz"
+MD5SUM="3bc4b96993eab40f8429893087f0430e"
+DOWNLOAD_x86_64="http://apache.imghat.com/directory/studio/stable/1.4.0.v20090407/ApacheDirectoryStudio-linux-x86_64-1.4.0.v20090407.tar.gz"
+MD5SUM_x86_64="38c037ebaa0999efe1e3fcce61e3ed50"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/network/ApacheDirectoryStudio/README b/network/ApacheDirectoryStudio/README
new file mode 100644
index 0000000000..ce16f4346e
--- /dev/null
+++ b/network/ApacheDirectoryStudio/README
@@ -0,0 +1,5 @@
+ApacheDirectoryStudio (eclipse based LDAP browser)
+
+Apache Directory Studio is a complete directory tooling
+platform intended to be used with any LDAP server however it is
+particularly designed for use with the Apache Directory Server
diff --git a/network/ApacheDirectoryStudio/slack-desc b/network/ApacheDirectoryStudio/slack-desc
new file mode 100644
index 0000000000..707606669a
--- /dev/null
+++ b/network/ApacheDirectoryStudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ApacheDirectoryStudio: ApacheDirectoryStudio (eclipse based LDAP browser)
+ApacheDirectoryStudio:
+ApacheDirectoryStudio: Apache Directory Studio is a complete directory tooling
+ApacheDirectoryStudio: platform intended to be used with any LDAP server however it is
+ApacheDirectoryStudio: particularly designed for use with the Apache Directory Server
+ApacheDirectoryStudio:
+ApacheDirectoryStudio: Homepage: http://directory.apache.org/studio/
+ApacheDirectoryStudio:
+ApacheDirectoryStudio:
+ApacheDirectoryStudio:
+ApacheDirectoryStudio: